- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Frame

Frame is a widget that holds some content and has a title. More...

## Macros
#define | elm_obj_frame_autocollapse_set(autocollapse) ELM_OBJ_FRAME_ID(ELM_OBJ_FRAME_SUB_ID_AUTOCOLLAPSE_SET), EO_TYPECHECK(Eina_Bool, autocollapse)
| Toggle autocollapsing of a frame. More...
#define | elm_obj_frame_autocollapse_get(ret) ELM_OBJ_FRAME_ID(ELM_OBJ_FRAME_SUB_ID_AUTOCOLLAPSE_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Determine autocollapsing of a frame. More...
#define | elm_obj_frame_collapse_set(collapse) ELM_OBJ_FRAME_ID(ELM_OBJ_FRAME_SUB_ID_COLLAPSE_SET), EO_TYPECHECK(Eina_Bool, collapse)
| Manually collapse a frame without animations. More...
#define | elm_obj_frame_collapse_get(ret) ELM_OBJ_FRAME_ID(ELM_OBJ_FRAME_SUB_ID_COLLAPSE_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Determine the collapse state of a frame. More...

## Functions
Evas_Object * | elm_frame_add (Evas_Object *parent)
| Add a new frame to the parent. More...
void | elm_frame_autocollapse_set (Evas_Object *obj, Eina_Bool autocollapse)
| Toggle autocollapsing of a frame. More...
Eina_Bool | elm_frame_autocollapse_get (const Evas_Object *obj)
| Determine autocollapsing of a frame. More...
void | elm_frame_collapse_set (Evas_Object *obj, Eina_Bool collapse)
| Manually collapse a frame without animations. More...
void | elm_frame_collapse_go (Evas_Object *obj, Eina_Bool collapse)
| Manually collapse a frame with animations. More...
Eina_Bool | elm_frame_collapse_get (const Evas_Object *obj)
| Determine the collapse state of a frame. More...

## Detailed Description

Frame is a widget that holds some content and has a title.

The default look is a frame with a title, but Frame supports multiple styles:

- default
- pad_small
- pad_medium
- pad_large
- pad_huge
- outdent_top
- outdent_bottom

Of all this styles only default shows the title.

This widget inherits from the Layout one, so that all the functions acting on it also work for frame objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"clicked"` - The user has clicked the frame's label

Default content parts of the frame widget that you can use for are:

- "default" - A content of the frame

Default text parts of the frame widget that you can use for are:

- "default" - Label of the frame

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

For a detailed example see the Frame example.

## Macro Definition Documentation

#define elm_obj_frame_autocollapse_get | ( |  | ret | ) | ELM_OBJ_FRAME_ID(ELM_OBJ_FRAME_SUB_ID_AUTOCOLLAPSE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Determine autocollapsing of a frame.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_frame_autocollapse_get

Referenced by elm_frame_autocollapse_get().

#define elm_obj_frame_autocollapse_set | ( |  | autocollapse | ) | ELM_OBJ_FRAME_ID(ELM_OBJ_FRAME_SUB_ID_AUTOCOLLAPSE_SET), EO_TYPECHECK(Eina_Bool, autocollapse)

Toggle autocollapsing of a frame.

Since
  1.8

Parameters

  [in] | autocollapse |

See Also
  elm_frame_autocollapse_set

Referenced by elm_frame_autocollapse_set().

#define elm_obj_frame_collapse_get | ( |  | ret | ) | ELM_OBJ_FRAME_ID(ELM_OBJ_FRAME_SUB_ID_COLLAPSE_GET), EO_TYPECHECK(Eina_Bool *, ret)

Determine the collapse state of a frame.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_frame_collapse_get

Referenced by elm_frame_collapse_get().

#define elm_obj_frame_collapse_set | ( |  | collapse | ) | ELM_OBJ_FRAME_ID(ELM_OBJ_FRAME_SUB_ID_COLLAPSE_SET), EO_TYPECHECK(Eina_Bool, collapse)

Manually collapse a frame without animations.

Since
  1.8

Parameters

  [in] | collapse |

See Also
  elm_frame_collapse_set

Referenced by elm_frame_collapse_set().

## Function Documentation

Evas_Object* elm_frame_add | ( | Evas_Object * | parent | ) |

Add a new frame to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

Eina_Bool elm_frame_autocollapse_get | ( | const Evas_Object * | obj | ) |

Determine autocollapsing of a frame.

Parameters

  obj | The frame

Returns
  Whether autocollapse is enabled

When this returns EINA_TRUE, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label. By default, this is DISABLED.

References elm_obj_frame_autocollapse_get.

void elm_frame_autocollapse_set | ( | Evas_Object * | obj,
|  | Eina_Bool | autocollapse
| ) |  |

Toggle autocollapsing of a frame.

Parameters

  obj | The frame
  autocollapse | Whether to enable autocollapse

When `enable` is EINA_TRUE, clicking a frame's label will collapse the frame vertically, shrinking it to the height of the label. By default, this is DISABLED.

References elm_obj_frame_autocollapse_set.

Eina_Bool elm_frame_collapse_get | ( | const Evas_Object * | obj | ) |

Determine the collapse state of a frame.

Parameters

  obj | The frame

Returns
  true if collapsed, false otherwise

Use this to determine the collapse state of a frame.

References elm_obj_frame_collapse_get.

void elm_frame_collapse_go | ( | Evas_Object * | obj,
|  | Eina_Bool | collapse
| ) |  |

Manually collapse a frame with animations.

Parameters

  obj | The frame
  collapse | true to collapse, false to expand

Use this to toggle the collapsed state of a frame, triggering animations.

void elm_frame_collapse_set | ( | Evas_Object * | obj,
|  | Eina_Bool | collapse
| ) |  |

Manually collapse a frame without animations.

Parameters

  obj | The frame
  collapse | true to collapse, false to expand

Use this to toggle the collapsed state of a frame, bypassing animations.

References elm_obj_frame_collapse_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:13